
function [dat_trans] = apply_PPA_1D(X,Res)

if size(X,2)>1

    X = X - repmat(Res(1).m,size(X,1),1);
    
    W = Res(end).W;
        
    orden = size(W,1)-1;
    V = Res(end).V;  
    V1 = V(:,1);
    V2 = V(:,2:end);
        
    GV = my_vander((X*V1)',orden)';
    
    estimates = GV*W;
    datm_T    = X*V2;
    errores   = datm_T - estimates;
    dat_trans = [X*V1 errores];
else
    
    Res = 0;
    err = 0;
    dat_trans = X;
    
end
