%
% apply_PPA
%
% This funtion applies the PPA transformation obtained with PPA.m to new data 
% contained in the variable "dat"
%
%    datT = apply_PPA(datT,Results);
%
% Valero Laparra, 2012 (c)
% valero.laparra@uv.es
% http://isp.uv.es
%

function [datT Results] = apply_PPA(dat,Results)



aux_dat = dat';

for ind_d = 1:length(Results)
    dat_trans = apply_PPA_1D(aux_dat,Results(ind_d).Res);
    
    datT(:,ind_d) = dat_trans(:,1);
    aux_dat = dat_trans(:,2:end);
end

datT = datT';

