% MY_VANDER Vandermonde matrix.
%
%   A = my_vander(v,orden)
%
% Valero Laparra, 2012 (c)
% valero.laparra@uv.es
% http://isp.uv.es
%

function A = my_vander(v,order)

A = zeros(order,size(v,2));
A(1,:) = ones(1,size(v,2));
for ind_o = 1:order
    A(ind_o+1,:) = (v(1,:).^ind_o)./factorial(ind_o);
end
